﻿@using NacGroup.Module.Core.Models
@using NacGroup.Module.Product.Models.Schema;
@model PagedResult<Product>
    <div class="product-container col-5item flex-container p-2">
        @if (Model.Results.Any())
        {
            foreach (var item in Model.Results)
            {
                if (item.IsActive == true)
                {
                    <div class="item-product">
                        <a href="/productdetail/@item.Url" class="avatar">
                            <img src="@item.Avatar" alt="@item.Name" />
                        </a>
                        <a href="/productdetail/@item.Url" class="name">
                            @item.Name
                        </a>
                    </div>
                }

            }
        }


    </div>
@{
    var start = Model.CurrentPage - 5 >= 1 ? (Model.CurrentPage - 5) : 1;
    var end = Model.CurrentPage + 5 <= Model.TotalPageCount ? (Model.CurrentPage + 5) : Model.TotalPageCount;

}
<div class="pagination-container">
    <ul class="pagination">
        @{
            if (Model.CurrentPage > 2)
            {
                <li>
                    <a href="?page=1" rel="prev">
                        <i class="ecs-left-open-big" aria-hidden="true"></i>
                        <i class="ecs-left-open-big" aria-hidden="true"></i>
                    </a>
                </li>
            }
            if (start > 1)
            {
                <li class="disabled"><a>…</a></li>
            }
            if (Model.CurrentPage > 1)
            {
                <li>
                    <a href="?page=@(Model.CurrentPage -1)" rel="prev">
                        <i class="demo-icon ecs-left-open-big" aria-hidden="true"></i>
                    </a>
                </li>
            }
            for (var i = start; i <= end; i++)
            {
                if (Model.CurrentPage == i)
                {
                    <li class="active"><a>@i</a></li>
                }
                else
                {
                    <li><a href="?page=@i">@i</a></li>
                }
            }
            if (end < Model.TotalPageCount)
            {
                <li class="disabled"><a>…</a></li>
            }
            if (Model.CurrentPage < Model.TotalPageCount)
            {
                <li>
                    <a href="?page=@(Model.CurrentPage + 1)" rel="next">
                        <i class="demo-icon ecs-right-open-big" aria-hidden="true"></i>
                    </a>
                </li>
            }
            if (Model.CurrentPage < Model.TotalPageCount - 2)
            {
                <li>
                    <a href="?page=@(Model.TotalPageCount)" rel="next">
                        <i class="demo-icon ecs-right-open-big" aria-hidden="true"></i>
                        <i class="demo-icon ecs-right-open-big" aria-hidden="true"></i>
                    </a>
                </li>
            }
        }
    </ul>
</div>